Bug 21323 - Redirect page after login missing multiple params
Summary: Redirect page after login missing multiple params
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-07 04:37 UTC by apirak
Modified: 2018-10-03 11:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21323: Handle multi params in redirect after login (1.24 KB, patch)
2018-09-14 23:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21323: Handle multi params in redirect after login (1.39 KB, patch)
2018-09-15 17:57 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21323: Handle multi params in redirect after login (1.45 KB, patch)
2018-09-24 10:16 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description apirak 2018-09-07 04:37:11 UTC

    
Comment 1 apirak 2018-09-07 04:51:13 UTC
Test plan:
[0] Use staff interface
[1] Use advance search and tick itemtype more than one checkbox
[2] Copy result url
[3] Logout
[4] Paste url in browser
[5] Type username and password
[6] In search result page, results limit description under breadcrumbs will show only one limit name
Comment 2 Jonathan Druart 2018-09-14 23:12:26 UTC
Created attachment 78832 [details] [review]
Bug 21323: Handle multi params in redirect after login

Multi params are not handle correctly after login

Test plan:
[0] Use staff interface
[1] Use advance search and tick itemtype more than one checkbox
[2] Copy result url
[3] Logout
[4] Paste url in browser
[5] Type username and password
[6] In search result page, results limit description under breadcrumbs
will show all limits
Comment 3 ByWater Sandboxes 2018-09-15 17:57:20 UTC
Created attachment 78867 [details] [review]
Bug 21323: Handle multi params in redirect after login

Multi params are not handle correctly after login

Test plan:
[0] Use staff interface
[1] Use advance search and tick itemtype more than one checkbox
[2] Copy result url
[3] Logout
[4] Paste url in browser
[5] Type username and password
[6] In search result page, results limit description under breadcrumbs
will show all limits

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Julian Maurice 2018-09-24 10:16:50 UTC
Created attachment 79291 [details] [review]
Bug 21323: Handle multi params in redirect after login

Multi params are not handle correctly after login

Test plan:
[0] Use staff interface
[1] Use advance search and tick itemtype more than one checkbox
[2] Copy result url
[3] Logout
[4] Paste url in browser
[5] Type username and password
[6] In search result page, results limit description under breadcrumbs
will show all limits

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Nick Clemens 2018-09-26 19:35:24 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-09-27 12:22:25 UTC
Pushed to 18.05.x for 18.05.05
Comment 7 Fridolin SOMERS 2018-10-03 11:56:59 UTC
Pushed to 17.11.x for 17.11.11